=== debian/changelog ===
kdeclarative (5.54.0-1+rpi1) buster-staging; urgency=medium

  [changes brought forward from 5.12.0-2+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Sun, 19 Jul 2015 02:00:18 +0000]
  * Add symbols file hack for raspbian.

  [changes introduced in version 5.27.0-1+rpi1 by Peter Michael Green]
  * Disable testsuite.

 -- Raspbian forward porter <root@raspbian.org>  Fri, 25 Jan 2019 23:11:01 +0000

kdeclarative (5.54.0-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.52.0).
  * New upstream release (5.53.0).
  * Update build-deps and deps with the info from cmake
  * Update symbols files.
  * New upstream release (5.54.0).
  * Update build-deps and deps with the info from cmake
  * Update symbols files.
  * Bump group breaks (5.54)
  * Release to unstable

  [ Scarlett Gately Moore ]
  * Add missing qml runtime dependency.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 Jan 2019 19:26:37 -0300

kdeclarative (5.51.0-2) unstable; urgency=medium

  * Team upload.
  * Update symbols files. (Closes: #916153)
  * Remove trailing whitespaces in changelog.
  * Remove the 'testsuite' autopkgtest, as it does not test the package
    available in the archive.
  * Update lintian overrides.
  * Run the unit tests at build time:
    - add the qml-module-qtquick2, xauth, and xvfb build dependencies
    - run xvfb-run with the proper arguments
    - do not run the tests in parallel, since some of them conflict with each
      other
  * Remove the unused ${shlibs:Depends} substvar from libkf5declarative-data,
    libkf5declarative-doc, and qtdeclarative5-kf5declarative.
  * Drop the transitional qtdeclarative5-kf5declarative, no more needed now.
  * Drop the old breaks/replaces of qtdeclarative5-kf5declarative, and
    qtdeclarative5-kf5declarative-5.0.

 -- Pino Toscano <pino@debian.org>  Wed, 26 Dec 2018 19:09:01 +0100

kdeclarative (5.51.0-1) unstable; urgency=medium

  * New upstream release (5.50.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.50)
  * New upstream release (5.51.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.51)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 07 Nov 2018 17:16:39 +0100

kdeclarative (5.49.0-1) unstable; urgency=medium

  * New upstream release (5.48.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.49.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.49)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 17 Aug 2018 16:18:19 +0200

kdeclarative (5.47.0-1) unstable; urgency=medium

  * New upstream release (5.47.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.47)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Jun 2018 12:08:44 +0200
