=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_build:
	sed -i s/arch=!armel/optional=meh/ debian/libkf5declarative5.symbols
	$(overridden_command)

override_dh_auto_clean:
	$(overridden_command)
	sed -i s/optional=meh/arch=!armel/ debian/libkf5declarative5.symbols

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

override_dh_strip:
	dh_strip --dbgsym-migration='libkf5declarative5-dbg (<= 5.19.0-1~~)'

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	#xvfb-run -a --server-args="-screen 0 1024x768x24+32" dh_auto_test --no-parallel
endif
