=== debian/control ===
--- 
+++ 
@@ -6,19 +6,19 @@
 Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
                doxygen,
-               extra-cmake-modules (>= 5.50.0~),
+               extra-cmake-modules (>= 5.56.0~),
                graphviz,
                libepoxy-dev,
-               libkf5config-dev (>= 5.50.0~),
-               libkf5globalaccel-dev (>= 5.50.0~),
-               libkf5guiaddons-dev (>= 5.50.0~),
-               libkf5i18n-dev (>= 5.50.0~),
-               libkf5iconthemes-dev (>= 5.50.0~),
-               libkf5itemviews-dev (>= 5.50.0~),
-               libkf5kio-dev (>= 5.50.0~),
-               libkf5package-dev (>= 5.50.0~),
-               libkf5widgetsaddons-dev (>= 5.50.0~),
-               libkf5windowsystem-dev (>= 5.50.0~),
+               libkf5config-dev (>= 5.56.0~),
+               libkf5globalaccel-dev (>= 5.56.0~),
+               libkf5guiaddons-dev (>= 5.56.0~),
+               libkf5i18n-dev (>= 5.56.0~),
+               libkf5iconthemes-dev (>= 5.56.0~),
+               libkf5itemviews-dev (>= 5.56.0~),
+               libkf5kio-dev (>= 5.56.0~),
+               libkf5package-dev (>= 5.56.0~),
+               libkf5widgetsaddons-dev (>= 5.56.0~),
+               libkf5windowsystem-dev (>= 5.56.0~),
                libqt5sql5-sqlite,
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
@@ -60,8 +60,8 @@
 Section: libdevel
 Depends: libkf5calendarevents5 (= ${binary:Version}),
          libkf5declarative5 (= ${binary:Version}),
-         libkf5kio-dev (>= 5.50.0~),
-         libkf5package-dev (>= 5.50.0~),
+         libkf5kio-dev (>= 5.55.0~),
+         libkf5package-dev (>= 5.55.0~),
          libkf5quickaddons5 (= ${binary:Version}),
          qtbase5-dev (>= 5.6.1~),
          qtdeclarative5-dev (>= 5.6.1~),
